<div class="container">
    <h1>Traffic out</h1>

    <div class="site-selection flow">
        <mat-form-field *ngIf="sites; else loading">
            <mat-select
                #siteSelection
                placeholder="Site selection…"
                disableRipple
                [formControl]="siteControl"
            >
                <mat-option
                    *ngFor="let site of sites; trackBy: siteIdentity"
                    [value]="site"
                    >{{ site.name }}</mat-option
                >
            </mat-select>
        </mat-form-field>
        <div
            class="actions-bar"
            *ngIf="currentSite?.id !== siteControl.value?.id"
        >
            <button
                mat-stroked-button
                class="js-cancel-button"
                (click)="cancel()"
            >
                cancel
            </button>
            <button
                mat-stroked-button
                class="js-confirm-button"
                (click)="changeCurrentSite()"
                color="accent"
            >
                update
            </button>
        </div>
    </div>

    <div class="charts-container flow column">
        <ng-container *ngIf="currentSite">
            <la-site-traffic
                [site]="currentSite"
                title="Graphe bleu"
                color="blue"
                [aggregation]="avg"
            ></la-site-traffic>
            <la-site-traffic
                [site]="currentSite"
                title="Graphe rouge"
                color="red"
                [aggregation]="max"
            ></la-site-traffic>
        </ng-container>
        <ng-container *ngIf="sites && !currentSite">
            <ng-container *ngTemplateOutlet="loading"></ng-container>
        </ng-container>
    </div>
</div>

<ng-template #loading><div class="loading">loading…</div></ng-template>
